Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Lock_Adapter_T.h File Reference

`#include "ace/Lock.h"`
`#include "ace/Lock_Adapter_T.inl"`
`#include "ace/Lock_Adapter_T.cpp"`

Include dependency graph for Lock_Adapter_T.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Lock_Adapter
| This is an adapter that allows applications to transparently combine the <ACE_Lock> abstract base class (which contains pure virtual methods) with any of the other concrete ACE synchronization classes (e.g., <ACE_Mutex>, <ACE_Semaphore>, <ACE_RW_Mutex>, etc.). More...

## Detailed Description

Id:
  Lock_Adapter_T.h,v 4.1 2003/08/04 03:53:51 dhinton Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>